interface Player {
  _id: String
  firstName: String
  lastName: String
  identification: Int
}

type ArgentinianPlayer implements Player {
  _id: String
  firstName: String
  lastName: String
  identification: Int
  team: String
}

type BrazilianPlayer implements Player {
  _id: String
  firstName: String
  lastName: String
  identification: Int
  injuries: Int
}


input ArgentinianPlayerInput {
  _id: String
  firstName: String
  lastName: String
  team: String
  dni: Int
}

input BrazilianPlayerInput {
  _id: String
  firstName: String
  fastName: String
  injuries: Int
  cpf: Int
}

type Query {
  getAllPlayers:[Player]
  getPlayerById(id: String): Player
}

type Mutation {
  createArgentinianPlayer(player: ArgentinianPlayerInput): Player
  createBrazilianPlayer(player: BrazilianPlayerInput): Player
}
